<?php

// Servertest
// print_r($_SERVER);


if($_SERVER['REQUEST_METHOD'] === 'POST'):

    // Lagra data i olika variabler och rensar html (Säkerhet)
    $name = htmlspecialchars($_POST['name']);
    $mail = htmlspecialchars($_POST['mail']);
    $message = htmlspecialchars($_POST['message']);

    // Backend-validering (Säkerhet) (validera på serversidan)
    if(!filter_var($mail, FILTER_VALIDATE_EMAIL)){
        echo "<div class='alert alert-danger'>$mail is not a valid email adress!</div>";
    die;
    }

    // Skicka ett mail
    // Förbereda parametrar
    $to = "peter.crichlow@rocketmail.com";
    $subject = "Meddelande från $name";

    // Tillåter html
    $headers[] = "MIME-Version: 1.0";
    $headers[] = "Content-type: text/html; charset=utf-8";

    // Additional headers
    $headers[] = "From: $mail";
    $headers[] = "Reply-to: noreply@imaginarybrewery.com";

    // Meddelandet
    $message_to_send = "Meddelande från ".$name." via imaginarybrewery.com\n\n<br><br>";
    $message_to_send .= "<pre>$message</pre>";

    mail($to, $subject, $message_to_send, implode("\r\n", $headers));

    header('Location:index.php');
    
else:
    header('Location:index.php');

endif;

