<?php
include 'header.php';

?>
<!-- <body> -->
    

        <nav class="navbar navbar-light bg-light">
            <!-- <a class="navbar-brand ml-auto" href="#">Meny</a> -->
            <button class="navbar-toggler ml-auto" type="button" data-toggle="collapse" data-target="#navbarsExample01" aria-controls="navbarsExample01" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarsExample01">
                <ul class="navbar-nav mr-auto ">
                <li class="nav-item active">
                    <a class="nav-link" href="#">Hem <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#produkter">Produkter</a>
                </li>
                <li class="nav-item">
                    <!-- <a class="nav-link" href="#kontakt">Contact</a> -->
                    <a class="nav-link" href="#kontakt">Kontakt</a>
                </li>
        
            </ul>
        
            </div>
        </nav>

        <!-- landing area -->
        <div id="landing">
            <div id="landing-text">
                <div id="landing-text-inner">
                    <h1>The beer Company</h1>
                    <h2>Handbrewed beer online</h2>
                </div>
            </div>
            <div id="landing-image"></div>
        </div>

<section id="produkter">
        
    <div id="header">
        <h2>Våra Produkter</h2>
    </div>        
           
            <!-- här ska produkter in -->

        <div class="row" id="produkter-display"> 

<?php

require_once 'db.php';

$sql = 'SELECT * FROM products';
$stmt = $db->prepare($sql);
$stmt->execute();

while($row = $stmt->fetch(PDO::FETCH_ASSOC)):
    $id = $row['id'];
    $title = $row['title'];
    $price = $row['price'];
    $info = $row['info'];
    $image = $row['image'];
    $thumb = $row['thumb'];
?>

    <div class="col-sm-12 col-md-4" >
        <a href="product.php?id=<?php echo $id; ?>">
        <div class="card sm-12 mb-4">
            <h3 class="card-header"><?php echo $title; ?></h3>
            <img style="width: 100%; display: block;" src="images/<?php echo $thumb; ?>" alt="Card image" class="img-responsive">
            </a>
                
            <div class="card-body">
                <h5 class="card-title"><?php echo $price . sek ?></h5>
                <p class="card-text text-right artnr"><?php echo 'Art.nr: ' . $id; ?></p>
                <a href="checkout.php?id=<?php echo $id; ?>" class="btn btn-danger">Köp nu</a>
            </div>
        </div>
    </div>

        <?php endwhile; ?>

    </div>
</section>
        <!-- Kontakta oss -->
<section id="kontakt">
    <div id="contact-text">
        <h2>kontakta oss</h2>
    </div>  

    <div class="row">
        <div class="form-inner col-md-6" >
    
            <form action="contact_mail.php" method="POST" class="">
                <div class="form-group col-md-12">
                <label for="name">Namn</label>
                    <input name="name" type="text" class="form-control" placeholder="" required>
                </div>
                <div class="form-group col-md-12">
                <label for="email">Email</label> 
                    <input name="mail" type="text" class="form-control" placeholder="" required>
                </div>
                <div class="form-group col-md-12">
                <label for="message">Meddelande</label>
                    <textarea name="message" class="form-control" rows="5" placeholder=""></textarea>
                </div>
                <div class="form-group col-md-4">
                    <button type="submit" class="btn btn-danger">Skicka</button>
                </div>
            </form>
        </div>
        <div class="form-inner col-md-6">
            <ul class="contact fa-ul">
                <li><i class="fa-li fas fa-home"></i>The Beer Company<br>Kungstensgatan 45<br>102 39 Stockholm</li><br>
                <li><i class="fa-li far fa-envelope"></i>information@thebeercompany.se</li><br>
                <li><i class="fa-li fas fa-phone"></i> 08-789 42 00</li><br>
                <li><i class="fa-li fab fa-facebook-f"></i><a href="https://www.facebook.com/folkuniversitetetstockholm/">facebook</a></li><br>
                <li><i class="fa-li fab fa-twitter"></i><a href="https://twitter.com/Folkuniv_sthlm">twitter</a></li>
            </ul>
        </div>

    </div>

    <div id="team-text">
        <h2>the team</h2>
    </div>  

<div class="row" id="kontakt-kort">
    <div class="card mb-3 card-contact" style="max-width: 540px;">
    <div class="row no-gutters">
        <div class="col-md-4">
        <img src="images/pc.jpg" class="card-img" alt="...">
        </div>
        <div class="col-md-8">
        <div class="card-body">
            <h5 class="card-title">Peter Crichlow</h5>
            <p class="card-text">This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.</p>
            <p class="card-text"><small class="text-muted">Last updated 3 mins ago</small></p>
        </div>
        </div>
    </div>
    </div>

    <div class="card mb-3 card-contact" style="max-width: 540px;">
    <div class="row no-gutters">
        <div class="col-md-4">
        <img src="images/pc.jpg" class="card-img" alt="...">
        </div>
        <div class="col-md-8">
        <div class="card-body">
            <h5 class="card-title">Peter Crichlow</h5>
            <p class="card-text">This is a wider card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.</p>
            <!-- <p class="card-text"><small class="text-muted">Last updated 3 mins ago</small></p> -->
            <a href="#" class="card-link">peter@thebeercompany.com</a>
        </div>
        </div>
    </div>
    </div>
</div>
</section>
  


        
        
<?php
include 'footer.php';
?>
<!-- </body> -->

</html>