<div id="peter">
<?php

// Servertest
// print_r($_SERVER);


if($_SERVER['REQUEST_METHOD'] === 'POST'):

    include 'header.php';

    // Data från formulärer lagras i en superglobal-array som heter $_POST
    // print_r($_POST);
   
    // Lagra data i olika variabler och rensar html (Säkerhet)
    $firstName = htmlspecialchars($_POST['firstName']);
    $lastName = htmlspecialchars($_POST['lastName']);
    $email = htmlspecialchars($_POST['email']);
    $phone = htmlspecialchars($_POST['phone']);
    $address = htmlspecialchars($_POST['address']);
    $zipcode = htmlspecialchars($_POST['zipcode']);
    $city = htmlspecialchars($_POST['city']);

    // Backend-validering (Säkerhet) (validera på serversidan)
    if(!filter_var($email, FILTER_VALIDATE_EMAIL)){
        echo "<div class='alert alert-danger'>$email is not a valid email adress!</div>";
    die;
    }
    
    // Skicka data till databasen
    require_once 'db.php';
    $sql = "INSERT INTO checkout (firstName, lastName, email, phone, address, zipcode, city, artnr) 
                            VALUES(:firstName, :lastName, :email , :phone, :address, :zipcode, :city, :artnr)";

    $stmt_checkout = $db->prepare($sql);

        $id = $_GET['id'];

        

        // Kör en SQL-sats
        $sql = 'SELECT * FROM products WHERE id = :id';
        $stmt = $db->prepare($sql);
        $stmt->bindParam(':id' , $id);
        $stmt->execute();

        // Hämta en rad
        $row = $stmt->fetch(PDO::FETCH_ASSOC);

        // Hämta data
        $title = $row['title'];
        $subtitle = $row['subtitle'];
        $price = $row['price'];
        $info = $row['info'];
        $image = $row['image'];

    $stmt_checkout->bindParam(':firstName', $firstName);
    $stmt_checkout->bindParam(':lastName', $lastName);
    $stmt_checkout->bindParam(':email', $email);
    $stmt_checkout->bindParam(':phone', $phone);
    $stmt_checkout->bindParam(':address', $address);
    $stmt_checkout->bindParam(':zipcode', $zipcode);
    $stmt_checkout->bindParam(':city', $city);
    $stmt_checkout->bindParam(':artnr', $id);

    $stmt_checkout->execute();

    
    
    $confirm ="<h3>Hej $firstName! Tack för din beställning!</h3>
    <p>Vi kommer att skicka bekräftelse på din beställning av special brew: $title <br>till $email<p/>";


    echo $confirm;

    // Funktionaliteter att skicka ett mail
    include 'mail.php';

    include 'footer.php';

else:
    header('Location:index.php');

endif;
?>
</div>