<!--
    Show a single product
-->
<?php
include 'header.php';
?>
<?php
if(empty($_GET['id'])){
    header('Location: index.php');
}


require_once 'db.php';

$id = $_GET['id'];

// print_r($id);

// Kör en SQL-sats
$sql = 'SELECT * FROM products WHERE id = :id';
$stmt = $db->prepare($sql);
$stmt->bindParam(':id' , $id);
$stmt->execute();

// Hämta en rad
$row = $stmt->fetch(PDO::FETCH_ASSOC);

// Hämta data
$title = $row['title'];
$subtitle = $row['subtitle'];
$price = $row['price'];
$info = $row['info'];
$image = $row['image'];

// print_r($row);
?>
<div class="main-product">
<div class="row">
    
    <div class="col-sm-12 col-md-6" id="product-text">
        <div id="product-text-inner">
            <h1><?php echo $title; ?></h1>
            <h3><?php echo $subtitle; ?></h3><br>
            <p><?php echo $info; ?></p><br>
            <a href="checkout.php?id=<?php echo $id; ?>" class="btn btn-danger">Köp nu</a>
            <a href="index.php" class="btn btn-danger">Tillbaka</a>
        </div>
    </div>
    
    <div class="col-sm-12 col-md-6" id="product-image">
        <img style="width: 100%;" src="images/<?php echo $image; ?>" alt="Card image" class="img-responsive">
    </div>
    
</div>
</div>
<?php
include 'footer.php';
?>